.main {
    margin: 0 auto;
    text-align: center;
}

.content{
    margin-top: 20vh;
    position: relative;
}

.price {
    font-size: 20px;
    font-weight: bold;
    user-select: none;
}

/*Окно ввода*/
.priceValue {
    width: 150px;
    font-size: 25px;
    margin: 5px 5px;
    border: none;
    border-radius: 5px;
    outline: none;
    box-shadow: 0 0 5px 1px rgba(0, 0, 0, 0.5);
    text-indent: 10px;
}
/*---*/
/*Цвета окна ввода*/
.focus {
    box-shadow: 0 0 5px 1px rgba(0, 255, 0, 0.8);
}

.error {
    box-shadow: 0 0 5px 1px rgba(255, 0, 0, 0.8);
}
/*---*/
/*Оформление предупреждения*/
.warning{
    position: absolute;
    left: 50%;
    top: 100%;
    transform: translateX(-50%);
    user-select: none;
}
/*---*/
/*Див для спана показа цены и крестика*/
.output {
    font-size: 16px;
    position: absolute;
    top: -70%;
    left: 50%;
    transform: translateX(-50%);
}
/*---*/
/*Спан показа цены*/
.currentPrice {
    width: 200px;
    padding: 5px 40px 5px 5px;
    border-radius: 10px;
    border: 1px solid rgba(0, 0, 0, 0.3);
    user-select: none;
}
/*---*/
/*Оформляем крестик*/
.close {
    position: relative;
    right: 1.9em;
    opacity: 0.3;
    cursor: pointer;
    padding: 0 9px ;
    border: 1px solid rgba(0,0,0,0.3);
    border-radius: 50%;
}

.close:before, .close:after {
    position: absolute;
    top: 23%;
    left: 44%;
    content: '';
    height: 10px;
    width: 2px;
    background-color: #333;
}

.close:before {
    transform: rotate(45deg);
}

.close:after {
    transform: rotate(-45deg);
}
/*---*/

/*Убираю стрелки в поле ввода цены*/
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance:textfield;
}
/*---*/